% AMY2018, Figure I
%plots power curves using simulation results
% The output from Matlab code  and ``Power_comp_max_beta0.m'' and 
%``Power_comp_max_beta0_AR_LM.m'' are required

%cd '~/Dropbox/linear_weak_iv/'
%cd 'new simulations'

clear all

% for the case \rho=0, k=10
load output0_10_AR_LM %AR LM
load output0_10_3 %CLR and POIS2

% for the case \rho=.5, k=10
%load output5_10_AR_LM %AR LM
%load output5_10_3 %CLR and POIS2

% for the case \rho=.9, k=10
%load output9_10_AR_LM %AR LM   
%load output9_10_3 %CLR and POIS2
beta0lambda=Beta0(24:42)*sqrt(20); 
AR=Rej_AR(6,24:42);  % 6 stands for \lambda=15, see 
CLR=Rej_CLR(6,24:42);
POIS2=Rej_AMSPOIS2_sim(6,24:42);

beta0lambda=[0, beta0lambda];
AR=[0.05, AR];
CLR=[0.05, CLR];
POIS2=[0.05,POIS2];

graph1=plot(beta0lambda,POIS2,'k-');
set(graph1,'LineWidth',2);
hold on;
plot(beta0lambda,CLR,'k--',beta0lambda,AR,'k-');
hold off;
[hleg1,hobj1]=legend('POIS2','CLR','AR','location','best');
set(hleg1,'position',[.5 0.24 .3 .2]);
xlabel('$\beta_0\sqrt{\lambda}$','Interpreter','latex')
ylabel('power')
axis([0 45 0 1.05])


