% A user-defined function
% compute psi2 function in WAP2 for very large Q_T, used for simulating the
% critical value
% See Supplemental Material 1 of AMY2018, equation(12.5) for the psi2 function
function result = psi2_a(D,q_t,lambda,k,check,sc)
   if max(check)<=700
    result= exp(-lambda.*D.^2/2).*((lambda.*D.^2.*q_t).^(-k/4+0.5)).*besseli(k/2-1,sqrt(lambda.*D.^2.*q_t));
   elseif  max(check)>700
    result= exp(sqrt(lambda.*D.^2.*q_t)-lambda.*D.^2/2-max(sc)).*(lambda.*D.^2.*q_t).^(-k/4+0.25)/sqrt(2*pi);
   end
end

